libnvme(2)

NAME
struct nbft_hfi - Host Fabric Interface (HFI) Descriptor (Figure 11)

SYNOPSIS
struct nbft_hfi {
__u8 structure_id;
__u8 index;
__u8 flags;
__u8 trtype;
__u8 reserved1[12];
struct nbft_heap_obj trinfo_obj;
__u8 reserved2[10];
};

Members

structure_id
    Structure ID: This field shall be set to 3h (i.e., Host Fabric Interface Descriptor; #NBFT_DESC_HFI).

index
    HFI Descriptor Index: This field indicates the number of this HFI Descriptor in the Host Fabric Interface Descriptor List.

flags
    HFI Descriptor Flags, see enum nbft_hfi_flags.

trtype
    HFI Transport Type, see enum nbft_trtype.

reserved1
    Reserved.

trinfo_obj
    HFI Transport Info Descriptor Heap Object Reference: If this field is set to a non-zero value, then this field indicates the location and size of a heap object containing a HFI Transport Info.

reserved2
    Reserved.